#
# spec file for package perl-Apache-Filter (Version 1.016)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  apache apache-devel mm mod_perl perl-URI
# usedforbuild    aaa_base aaa_dir apache apache-devel autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp mm mod_perl modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl perl-URI ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         perl-Apache-Filter
%define apache_includedir   	%(apxs -q INCLUDEDIR)
%define version_perl       	%(rpm -q --queryformat '%{version}' perl)
%define version_apache		%(rpm -q --queryformat '%{version}' apache)
%define perl_installsitelib  	%(eval "`perl -V:installsitelib`"; echo $installsitelib)
Copyright:    BSD style
Group:        Development/Libraries/Perl
Provides:     Apache-Filter
Requires:     perl = %{version_perl} 
Requires:     apache = %{version_apache}
Requires:     mod_perl perl-URI
Conflicts:    perlmod
Autoreqprov:  on
Version:      1.016
Release:      132
Source:       Apache-Filter-%{version}.tar.gz 
Summary:      Alter the output of previous handlers
BuildRoot:    %{_tmppath}/%{name}-%{version}-%{release}

%description
In basic operation, each of the handlers Filter1, Filter2, and Filter3
will make a call to $r->filter_input(), which will return a
filehandle.  For Filter1, the filehandle points to the requested
file. For Filter2, the filehandle contains whatever Filter1 wrote to
STDOUT. For Filter3, it contains whatever Filter3 wrote to STDOUT. The
output of Filter3 goes directly to the browser.
Note that the modules Filter1, Filter2, and Filter3 are listed in
forward order, in contrast to the reverse-order listing of
Apache::OutputChain.
When you've got this module, you can use the same handler both as a
stand-alone handler, and as an element in a chain. Just make sure that
whenever you're chaining, all the handlers in the chain are "Filter-
aware," i.e. they each call $r->filter_register() exactly once, before
they start printing to STDOUT. There should be almost no overhead for
doing this when there's only one element in the chain.

Authors:
--------
    Ken Williams <ken@forum.swarthmore.edu>

SuSE series: perl

%prep 
%setup -n Apache-Filter-%{version}

%build
export CFLAGS="$RPM_OPT_FLAGS"
perl Makefile.PL
make all
	

%install
export CFLAGS="$RPM_OPT_FLAGS"
export APACHE=`which httpd`
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
eval `perl -V:installarchlib`
install -d $RPM_BUILD_ROOT/$installarchlib
make PREFIX=$RPM_BUILD_ROOT/usr \
        INSTALLMAN1DIR=$RPM_BUILD_ROOT/%{_mandir}/man1 \
        INSTALLMAN3DIR=$RPM_BUILD_ROOT/%{_mandir}/man3 \
        install
install -d $RPM_BUILD_ROOT/var/adm/perl-modules
cat $RPM_BUILD_ROOT/$installarchlib/perllocal.pod | \
	sed "s@$RPM_BUILD_ROOT@@g" > $RPM_BUILD_ROOT/var/adm/perl-modules/%{name}
cd $RPM_BUILD_ROOT/%{perl_sitearch}/auto/Apache/Filter/
       cat .packlist | sed "s@$RPM_BUILD_ROOT@@g" | sort -u > .packlist

%files
%defattr(-, root, root)
%doc Changes README MANIFEST
%{perl_installsitelib}/Apache/PerlRunFilter.pm
%{perl_installsitelib}/Apache/Filter.pm
%{perl_installsitelib}/Apache/RegistryFilter.pm
%{perl_sitearch}/auto/Apache/Filter/
%doc %{_mandir}/man3/Apache::PerlRunFilter.3pm.gz
%doc %{_mandir}/man3/Apache::Filter.3pm.gz
%doc %{_mandir}/man3/Apache::RegistryFilter.3pm.gz
/var/adm/perl-modules/%{name}

%changelog -n perl-Apache-Filter
* Wed Mar 28 2001 - rolf@suse.de
- update to 1.016
* Fri Feb 23 2001 - ro@suse.de
- changed neededforbuild <apache> to <apache apache-devel>
* Fri Nov 17 2000 - rolf@suse.de
- extracted from perlmod package
